package com.fr.plugin.demo.web.request.handler;

import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.PrintWriter;

@EnableMetrics
public class PublicHttpHandler extends BaseHttpHandler {

    @Override
    public RequestMethod getMethod() {
        return RequestMethod.GET;
    }

    @Override
    public String getPath() {
        return "/demo/text";
    }

    @Override
    public boolean isPublic() {
        return true;
    }

    @Override
    @Focus(id = "com.fr.plugin.demo.web.request", text = "", source = Original.PLUGIN)
    public void handle(HttpServletRequest req, HttpServletResponse res) throws Exception {
        PrintWriter writer = WebUtils.createPrintWriter(res);
        writer.println("Hello, I am a public request.");
        writer.flush();
        writer.close();
    }
}
